package com.mx.dla.dda.excelMapper.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class ExcelMapper extends BaseDTO {

	private static final long serialVersionUID = -2230985384969845531L;

	private String             id;
	private List<ExcelRule> rules;
	private String      className;
	private boolean    skipErrors;
	private long    startRowIndex;
	private String         parent;
	private int          firstRow;

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public void setSkipErrors(boolean skipErrors) {
		this.skipErrors = skipErrors;
	}

	public boolean isSkipErrors() {
		return skipErrors;
	}

	public String getParent() {
		return parent;
	}

	public void setParent(String parent) {
		this.parent = parent;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public List<ExcelRule> getRules() {
		return rules;
	}

	public void setRules(List<ExcelRule> rules) {
		this.rules = rules;
	}
	
	public long getStartRowIndex() {
		return startRowIndex;
	}
	
	public void setStartRowIndex(long startRowIndex) {
		this.startRowIndex = startRowIndex;
	}
	
	public int getFirstRow() {
		return firstRow;
	}
	public void setFirstRow(int firstRow) {
		this.firstRow = firstRow;
	}
	
}
